summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2019-04-06 01:30:15 +0200
committer Willy Sudiarto Raharjo2019-04-06 01:51:10 +0200
commit5df383a71ccf4633c1227a0de753f0758e8bb5a7 (patch)
treef53dd6995d4c5797f5437e3c462a0b39bbf6c456 /development
parentd979a1d73ddec32ee8443c25ec405749ec4fc585 (diff)
downloadslackbuilds-5df383a71ccf4633c1227a0de753f0758e8bb5a7.tar.gz
development/vscode-bin: Added (Visual Studio Code).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/vscode-bin/README10
-rw-r--r--development/vscode-bin/doinst.sh13
-rw-r--r--development/vscode-bin/slack-desc19
-rw-r--r--development/vscode-bin/vscode-bin.SlackBuild75
-rw-r--r--development/vscode-bin/vscode-bin.desktop6
-rw-r--r--development/vscode-bin/vscode-bin.info10
6 files changed, 133 insertions, 0 deletions
diff --git a/development/vscode-bin/README b/development/vscode-bin/README
new file mode 100644
index 0000000000..7bf6ab2701
--- /dev/null
+++ b/development/vscode-bin/README
@@ -0,0 +1,10 @@
+VS Code is a type of tool that combines the simplicity of a code
+editor with what developers need for their core edit-build-debug
+cycle. It provides comprehensive editing and debugging support,
+an extensibility model, and lightweight integration with existing
+tools.
+
+NOTE:
+This package is a binary repackaging from the official package.
+If you prefer to download from source, use vscode which is also
+available from SBo. \ No newline at end of file
diff --git a/development/vscode-bin/doinst.sh b/development/vscode-bin/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/development/vscode-bin/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/vscode-bin/slack-desc b/development/vscode-bin/slack-desc
new file mode 100644
index 0000000000..dfefd6c06e
--- /dev/null
+++ b/development/vscode-bin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vscode-bin: vscode-bin (Visual Studio Code)
+vscode-bin:
+vscode-bin: VS Code is a type of tool that combines the simplicity of a code
+vscode-bin: editor with what developers need for their core edit-build-debug
+vscode-bin: cycle. It provides comprehensive editing and debugging support,
+vscode-bin: an extensibility model, and lightweight integration with existing
+vscode-bin: tools.
+vscode-bin:
+vscode-bin: Project URL: https://code.visualstudio.com/
+vscode-bin: GitHub URL: https://github.com/Microsoft/vscode/
+vscode-bin:
diff --git a/development/vscode-bin/vscode-bin.SlackBuild b/development/vscode-bin/vscode-bin.SlackBuild
new file mode 100644
index 0000000000..f495ddb995
--- /dev/null
+++ b/development/vscode-bin/vscode-bin.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for vscode-bin
+
+# Copyright 2019 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vscode-bin
+SRCNAM=code-stable-1552606946
+VERSION=${VERSION:-1.32.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=x86_64
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf VSCode-linux-x64
+tar xvf $CWD/$SRCNAM.tar.gz
+cd VSCode-linux-x64
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/vscode-bin $PKG/usr/bin
+mv * $PKG/opt/vscode-bin
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/vscode-bin.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/share/icons/hicolor/1024x1024/apps
+cp $PKG/opt/vscode-bin/resources/app/resources/linux/code.png $PKG/usr/share/icons/hicolor/1024x1024/apps
+
+(
+cd $PKG/usr/bin
+ln -s /opt/vscode-bin/bin/code .
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/vscode-bin/vscode-bin.desktop b/development/vscode-bin/vscode-bin.desktop
new file mode 100644
index 0000000000..fa2bd08fa1
--- /dev/null
+++ b/development/vscode-bin/vscode-bin.desktop
@@ -0,0 +1,6 @@
+[Desktop Entry]
+Name=Visual Studio Code
+Exec=/usr/bin/code
+Icon=/usr/share/icons/hicolor/1024x1024/apps/code.png
+Type=Application
+Categories=Development;Programming \ No newline at end of file
diff --git a/development/vscode-bin/vscode-bin.info b/development/vscode-bin/vscode-bin.info
new file mode 100644
index 0000000000..27c1a0723b
--- /dev/null
+++ b/development/vscode-bin/vscode-bin.info
@@ -0,0 +1,10 @@
+PRGNAM="vscode-bin"
+VERSION="1.32.3"
+HOMEPAGE="https://code.visualstudio.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://az764295.vo.msecnd.net/stable/a3db5be9b5c6ba46bb7555ec5d60178ecc2eaae4/code-stable-1552606946.tar.gz"
+MD5SUM_x86_64="f47106b81b899397a791a23a4ad1e9a6"
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"